from datetime import timedelta

from django.apps import AppConfig
from django.utils.timezone import now
from django_q.models import Schedule
from django_q.tasks import schedule


class GamesConfig(AppConfig):
    default_auto_field = "django.db.models.BigAutoField"
    name = "games"

    def ready(self):
        if not Schedule.objects.filter(name="Update converted prices").exists():
            schedule(
                "games.tasks.update_converted_prices",
                name="Update converted prices",
                schedule_type="D",
                next_run=now() + timedelta(days=1),
            )
